Do you want to know how your customers use your applications and devices? Try Qt Insight Beta.
最新版Qt 6.3已正式发布。 了解更多。
最新バージョンQt 6.3がご利用いただけます。 詳細はこちら

QtScript の「レガシー」API の対応

我々は Qt に出来る限り最高の JavaScript テクノロジーをもたらしたいと考えています。しかし、そのためにはパブリックな API の下で、実装の大幅な変更、場合によっては入れ替えを可能にしなくてはなりません。もし、API に実装の詳細が含まれてしまうようでは、変更はゆっくりしたものになるでしょう。

既存の JavaScript エンジン(WebKit プロジェクトの JavaScriptCore や Google の V8 エンジン)に対する大規模な検討から、QtScript モジュールの C++ API のどの部分が「そのまま利用可能」で、どの部分が「頭の痛いコード」かが明確になり始めています。

私たちには「フォレスト・ガンプ」の「走れ! フォレスト、走れ!」のシーンを再現する道筋が必要です。そのため、 [qtbug QTBUG-15571] を作成しました。このタスクはこの件に関する情報を集め、解決し、そして QtScript API の実装の方針を決めるためのハブとなります。
理想的には、Qt 自体のライブラリとツール以外の誰もこれらの実装の変更が問題にはならず、大きな「Obsolete」ボタンを押して古いコードから切り替えるだけで済めばいいと思います。しかし、実際のところ、我々はそれらがどのように使用されているかを十分に把握しておりません。もし、あなたかあなたの知る誰かが懸念となる API を使用しているのであれば、JIRA にサブタスクを作ってコメントしていただければ、非常に助かります。おそらく、私たちが見落としている利用法があるはずです。

ソースおよびバイナリコンパチビリティを確保するために、私たちは Qt 4.x ではこれらの API は削除しません。それが足かせであるとしても。


Blog Topics:

Comments